hirom   ; don't change this
header  ; comment out if your rom has no header

org $C2535A  ; location in both SNES versions

MenuLoop:
LDA $FC,X      ; Load menu item
CMP #$10       ;CMP #$01
BEQ SetMagi    ; If this is Rage, replace with MagiTek; BEQ NextSlot ; skip to next slot if Item
				; If someone hacked Gau to have both Fight and Rage, this implies he will have duplicate
				; commands of either Magic or MagiTek whichever is event appropriate...
CMP #$00       ;CMP #$12
BEQ SetMagi   ; If this is Fight, replace with MagiTek ; BEQ NextSlot   ; skip to next slot if Mimic
CMP #$02       ;XBA      ; get character index
BEQ CheckFanatic   ; If this is Magic, determine what to do ;CMP #$0B

CMP #$18
BEQ ClearCommand   ; If they hacked in GPRain somewhere, clear it out
					
CMP #$16
BEQ SetMagi			; If they hacked in Jump, then we should treat it like fight
					; The problem with this though is that if they have both Fight and Jump,
					; then duplicate commands are likely...

CMP #$0B       ;BNE LoadCom ; don't check rage if not Gau
BCS NextSlot   ; see below ;XBA      ; get command
				; If this is NOT Fight, Item, Magic, Morph, Revert, Steal, Capture, SwdTech
				;   Throw, Tools, or Blitz... skip to the next slot
CMP #$05       ;CMP #$10
BCC NextSlot   ; see below ;BNE LoadChar ; don't load fight if not rage
				; If this is NOT Steal, Capture, SwdTech
				;   Throw, Tools, or Blitz... skip to the next slot

BRA ClearCommand ; empty the command out

LoadFight:
; LDA #$00 ; load fight over rage

LoadChar: 
; XBA      

LoadCom:
; XBA	

CheckFight:	 
;CMP #$00
;BNE CheckMagic ; if this is fight, do next lines to replace it w/ Magitech

SetMagi:
LDA #$1D ; Load MagiTech
BRA StoreCommand ; go store MagiTech in menu slot

CheckMagic:
;CMP #$02
;BEQ StoreCommand ; if this is Magic, go clear it if fanatic, keep if not

EmptyCommand:
LDA #$FF ; Load Empty Command

StoreCommand:
STA $FC,X ;update this menu slot

CheckFanatic:
LDA $3EBB ; load Fanatic flag
LSR       ; always done prior to checking Fanatic flag
BCC NextSlot ; skip if not in Fanatics tower
LDA $FC,X ; load menu slot again
CMP #$02
BEQ ClearCommand ; branch if Magic so we can empty slot
CMP #$1D  
BNE SaveCommand ; branch if this isn't Fight / Rage

StoreMagic:
LDA #$02
BRA SaveCommand ; branch to save Magic as command

ClearCommand:
LDA #$FF

SaveCommand:
STA $FC,X 

NextSlot:
DEX
BPL MenuLoop   ;loop over menu slots until done